Pipelines

A pipeline consists of the generic rules and configurations of a monitoring pipeline instance.

This tag groups all operations for pipelines.

Retrieve all Pipelines

get
/pipelines

This endpoint enables retrieving all Pipelines using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -createdDatePossible values:
Responses
chevron-right
200

Returned all requested Pipelines successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Pipeline resources.

Example: 930b1f07-e846-54fa-b447-9b78905ff2ef
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Pipeline resources.

Example: /pipelines
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/pipelines

Create Pipeline

post
/pipelines

Creates a new Pipeline.

The full Pipeline needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/pipelines

Retrieve Pipeline

get
/pipelines/{pipelineId}

Returns the Pipeline by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Responses
chevron-right
200

Getting Pipeline was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Pipeline.

Example: /pipelines/f72521ba-1590-5998-bf96-6eb997a5887d
get
/pipelines/{pipelineId}

Ensure Pipeline

put
/pipelines/{pipelineId}

Ensures that the Pipeline with the provided ID is created or modified. The full Pipeline needs to be provided to ensure (either update or create) the Pipeline. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Body
idstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
metadataanyOptional

Metadata

Responses
chevron-right
200

Pipeline successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Pipeline.

Example: /pipelines/f72521ba-1590-5998-bf96-6eb997a5887d
put
/pipelines/{pipelineId}

Delete Pipeline

delete
/pipelines/{pipelineId}

Deletes the specified Pipeline.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
pipelineIdstring · uuidRequired

The ID (UUID) of the Pipeline.

Example: f72521ba-1590-5998-bf96-6eb997a5887d
Responses
delete
/pipelines/{pipelineId}

No content

Last updated

Was this helpful?